Debian Bug report logs - #110586
libncurses: compile with gpm support?

version graph

Package: libncurses5; Maintainer for libncurses5 is Craig Small <csmall@debian.org>; Source for libncurses5 is src:ncurses.

Reported by: Tollef Fog Heen <tollef@add.no>

Date: Wed, 29 Aug 2001 20:18:01 UTC

Severity: wishlist

Found in version 5.2.20010318-3

Fixed in version ncurses/5.4-5

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tollef@add.no>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tollef@add.no>
To: submit@bugs.debian.org
Subject: libncurses: compile with gpm support?
Date: 29 Aug 2001 22:07:22 +0200
Package: libncurses5
Severity: wishlist

Could you please compile libncurses with gpm support, it's just a
matter of adding --with-gpm to the configure command line.

Thanks in advance!

-- 

Tollef Fog Heen
You Can't Win



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 110586@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Tollef Fog Heen <tollef@add.no>, 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: Wed, 29 Aug 2001 13:45:00 -0700
On Wed, Aug 29, 2001 at 10:07:22PM +0200, Tollef Fog Heen wrote:
> 
> Package: libncurses5
> Severity: wishlist
> 
> Could you please compile libncurses with gpm support, it's just a
> matter of adding --with-gpm to the configure command line.

No way.  It's a matter of adding --with-gpm to the command line, adding
a build dependency on GPM, and boosting libgpmg1 to Essential: yes. 
I'm not going to do that.

-- 
Daniel Jacobowitz                           Carnegie Mellon University
MontaVista Software                         Debian GNU/Linux Developer



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Tollef Fog Heen <tollef@add.no>, 110586@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: Wed, 29 Aug 2001 16:55:06 -0400
On Wed, Aug 29, 2001 at 10:07:22PM +0200, Tollef Fog Heen wrote:
> 
> Package: libncurses5
> Severity: wishlist
> 
> Could you please compile libncurses with gpm support, it's just a
> matter of adding --with-gpm to the configure command line.

not exactly: if gpm was not itself configured "--without-curses", it
won't work properly.  Even though it's been on my ncurses faq for
several years, most packagers persist in leaving that in (it's a bug).

-- 
Thomas E. Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tollef@add.no>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #20 received at 110586@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tollef@add.no>
To: Daniel Jacobowitz <dan@debian.org>
Cc: 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: 29 Aug 2001 22:50:44 +0200
* Daniel Jacobowitz 

| On Wed, Aug 29, 2001 at 10:07:22PM +0200, Tollef Fog Heen wrote:
| > 
| > Package: libncurses5
| > Severity: wishlist
| > 
| > Could you please compile libncurses with gpm support, it's just a
| > matter of adding --with-gpm to the configure command line.
| 
| No way.  It's a matter of adding --with-gpm to the command line, adding
| a build dependency on GPM, and boosting libgpmg1 to Essential: yes. 
| I'm not going to do that.

Eeek.  Is there another way to get mouse support with gpm and curses
then?

-- 

Tollef Fog Heen
You Can't Win



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #30 received at 110586@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Tollef Fog Heen <tollef@add.no>
Cc: 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: Wed, 29 Aug 2001 13:53:06 -0700
On Wed, Aug 29, 2001 at 10:50:44PM +0200, Tollef Fog Heen wrote:
> * Daniel Jacobowitz 
> 
> | On Wed, Aug 29, 2001 at 10:07:22PM +0200, Tollef Fog Heen wrote:
> | > 
> | > Package: libncurses5
> | > Severity: wishlist
> | > 
> | > Could you please compile libncurses with gpm support, it's just a
> | > matter of adding --with-gpm to the configure command line.
> | 
> | No way.  It's a matter of adding --with-gpm to the command line, adding
> | a build dependency on GPM, and boosting libgpmg1 to Essential: yes. 
> | I'm not going to do that.
> 
> Eeek.  Is there another way to get mouse support with gpm and curses
> then?

I assume so :)  Slang manages it.  I might even be wrong about --with-gpm
linking to libgpm, but I don't think I am.

-- 
Daniel Jacobowitz                           Carnegie Mellon University
MontaVista Software                         Debian GNU/Linux Developer



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #35 received at 110586@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Daniel Jacobowitz <dan@debian.org>, 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: Wed, 29 Aug 2001 17:05:48 -0400
On Wed, Aug 29, 2001 at 01:45:00PM -0700, Daniel Jacobowitz wrote:
> On Wed, Aug 29, 2001 at 10:07:22PM +0200, Tollef Fog Heen wrote:
> > 
> > Package: libncurses5
> > Severity: wishlist
> > 
> > Could you please compile libncurses with gpm support, it's just a
> > matter of adding --with-gpm to the configure command line.
> 
> No way.  It's a matter of adding --with-gpm to the command line, adding
> a build dependency on GPM, and boosting libgpmg1 to Essential: yes. 
> I'm not going to do that.

but it would be nice if gpm was configured w/o curses, making it less
work to make gpm function with ncurses...

some years ago I pointed this out to the fellow who was maintaining
gpm, it appears that a downstream packager had added the dependency
on wgetch, and I wrote him a configure script to make it optional.
Sometime later another of those guys removed the option from the
configure script for a year or so.

(No accounting for taste in bugs)

-- 
Thomas E. Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #40 received at 110586@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Thomas Dickey <dickey@herndon4.his.com>
Cc: 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: Wed, 29 Aug 2001 14:07:47 -0700
On Wed, Aug 29, 2001 at 05:05:48PM -0400, Thomas Dickey wrote:
> On Wed, Aug 29, 2001 at 01:45:00PM -0700, Daniel Jacobowitz wrote:
> > On Wed, Aug 29, 2001 at 10:07:22PM +0200, Tollef Fog Heen wrote:
> > > 
> > > Package: libncurses5
> > > Severity: wishlist
> > > 
> > > Could you please compile libncurses with gpm support, it's just a
> > > matter of adding --with-gpm to the configure command line.
> > 
> > No way.  It's a matter of adding --with-gpm to the command line, adding
> > a build dependency on GPM, and boosting libgpmg1 to Essential: yes. 
> > I'm not going to do that.
> 
> but it would be nice if gpm was configured w/o curses, making it less
> work to make gpm function with ncurses...
> 
> some years ago I pointed this out to the fellow who was maintaining
> gpm, it appears that a downstream packager had added the dependency
> on wgetch, and I wrote him a configure script to make it optional.
> Sometime later another of those guys removed the option from the
> configure script for a year or so.
> 
> (No accounting for taste in bugs)

I believe it just went through another change in maintainership, if you
want to nag them again :)

-- 
Daniel Jacobowitz                           Carnegie Mellon University
MontaVista Software                         Debian GNU/Linux Developer



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tollef@add.no>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #45 received at 110586@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tollef@add.no>
To: Daniel Jacobowitz <dan@debian.org>
Cc: 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: 29 Aug 2001 23:20:22 +0200
* Daniel Jacobowitz 

| I assume so :)  Slang manages it.  I might even be wrong about --with-gpm
| linking to libgpm, but I don't think I am.

You aren't wrong. (I just checked). :/

-- 

Tollef Fog Heen
You Can't Win



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #50 received at 110586@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Tollef Fog Heen <tollef@add.no>, 110586@bugs.debian.org
Cc: Daniel Jacobowitz <dan@debian.org>
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: Wed, 29 Aug 2001 17:31:54 -0400
On Wed, Aug 29, 2001 at 10:50:44PM +0200, Tollef Fog Heen wrote:
> * Daniel Jacobowitz 
> 
> | On Wed, Aug 29, 2001 at 10:07:22PM +0200, Tollef Fog Heen wrote:
> | > 
> | > Package: libncurses5
> | > Severity: wishlist
> | > 
> | > Could you please compile libncurses with gpm support, it's just a
> | > matter of adding --with-gpm to the configure command line.
> | 
> | No way.  It's a matter of adding --with-gpm to the command line, adding
> | a build dependency on GPM, and boosting libgpmg1 to Essential: yes. 
> | I'm not going to do that.
> 
> Eeek.  Is there another way to get mouse support with gpm and curses
> then?

given the way Debian organizes things, it would seem a good thing to
have a separate package for libncurses-gpm (an alternative - just like
those people who want alternative xterms or editors, and have to settle
for a common denominator of features).

I was for instance amused by the bug-report against lynx's package saying
it should "suggest" w3m, which is only functionally similar, but not
compatible...

-- 
Thomas E. Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #55 received at 110586@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Thomas Dickey <dickey@herndon4.his.com>
Cc: Tollef Fog Heen <tollef@add.no>, 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: Wed, 29 Aug 2001 14:36:09 -0700
On Wed, Aug 29, 2001 at 05:31:54PM -0400, Thomas Dickey wrote:
> On Wed, Aug 29, 2001 at 10:50:44PM +0200, Tollef Fog Heen wrote:
> > * Daniel Jacobowitz 
> > 
> > | On Wed, Aug 29, 2001 at 10:07:22PM +0200, Tollef Fog Heen wrote:
> > | > 
> > | > Package: libncurses5
> > | > Severity: wishlist
> > | > 
> > | > Could you please compile libncurses with gpm support, it's just a
> > | > matter of adding --with-gpm to the configure command line.
> > | 
> > | No way.  It's a matter of adding --with-gpm to the command line, adding
> > | a build dependency on GPM, and boosting libgpmg1 to Essential: yes. 
> > | I'm not going to do that.
> > 
> > Eeek.  Is there another way to get mouse support with gpm and curses
> > then?
> 
> given the way Debian organizes things, it would seem a good thing to
> have a separate package for libncurses-gpm (an alternative - just like
> those people who want alternative xterms or editors, and have to settle
> for a common denominator of features).
> 
> I was for instance amused by the bug-report against lynx's package saying
> it should "suggest" w3m, which is only functionally similar, but not
> compatible...

I'll think about it... we also need to do something for --enable-widec
or so.

-- 
Daniel Jacobowitz                           Carnegie Mellon University
MontaVista Software                         Debian GNU/Linux Developer



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #60 received at 110586@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Daniel Jacobowitz <dan@debian.org>, 110586@bugs.debian.org
Cc: Tollef Fog Heen <tollef@add.no>
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: Wed, 29 Aug 2001 17:44:45 -0400
On Wed, Aug 29, 2001 at 01:53:06PM -0700, Daniel Jacobowitz wrote:
> > Eeek.  Is there another way to get mouse support with gpm and curses
> > then?
> 
> I assume so :)  Slang manages it.  I might even be wrong about --with-gpm
> linking to libgpm, but I don't think I am.

perhaps that's done in a Debian package or other patch (slang as distributed
doesn't handle gpm - just xterm mouse).

-- 
Thomas E. Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #65 received at 110586@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Daniel Jacobowitz <dan@debian.org>
Cc: Thomas Dickey <dickey@herndon4.his.com>, Tollef Fog Heen <tollef@add.no>, 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: Wed, 29 Aug 2001 17:48:52 -0400
On Wed, Aug 29, 2001 at 02:36:09PM -0700, Daniel Jacobowitz wrote:
> > given the way Debian organizes things, it would seem a good thing to
> > have a separate package for libncurses-gpm (an alternative - just like
> > those people who want alternative xterms or editors, and have to settle
> > for a common denominator of features).
> 
> I'll think about it... we also need to do something for --enable-widec
> or so.

that, too.  (I wonder if ncurses could be made to talk to gpm via a pipe 
or a fifo - that would decouple it).

-- 
Thomas E. Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #70 received at 110586@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Thomas Dickey <dickey@herndon4.his.com>
Cc: Tollef Fog Heen <tollef@add.no>, 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: Wed, 29 Aug 2001 14:46:53 -0700
On Wed, Aug 29, 2001 at 05:48:52PM -0400, Thomas Dickey wrote:
> On Wed, Aug 29, 2001 at 02:36:09PM -0700, Daniel Jacobowitz wrote:
> > > given the way Debian organizes things, it would seem a good thing to
> > > have a separate package for libncurses-gpm (an alternative - just like
> > > those people who want alternative xterms or editors, and have to settle
> > > for a common denominator of features).
> > 
> > I'll think about it... we also need to do something for --enable-widec
> > or so.
> 
> that, too.  (I wonder if ncurses could be made to talk to gpm via a pipe 
> or a fifo - that would decouple it).

It does - that's what libgpm is, basically.  I'll look at it later.

I know our lynx (which seems to use slang rather than ncurses) responds
to gpm.  I'm not sure how.

-- 
Daniel Jacobowitz                           Carnegie Mellon University
MontaVista Software                         Debian GNU/Linux Developer



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #75 received at 110586@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Daniel Jacobowitz <dan@debian.org>
Cc: Thomas Dickey <dickey@herndon4.his.com>, Tollef Fog Heen <tollef@add.no>, 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses: compile with gpm support?
Date: Wed, 29 Aug 2001 18:02:53 -0400
On Wed, Aug 29, 2001 at 02:46:53PM -0700, Daniel Jacobowitz wrote:
> I know our lynx (which seems to use slang rather than ncurses) responds
> to gpm.  I'm not sure how.

nor I (I grep'd slang for "gpm" and found nothing - perhaps a patch - google
doesn't show me much).

though I see last week there's a new upload of lynx, using the color-style
code (which isn't implemented for slang).

-- 
Thomas E. Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Josh Rollyson <rollyson@dracus.dyn.mpis.net>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #80 received at 110586@bugs.debian.org (full text, mbox):

From: Josh Rollyson <rollyson@dracus.dyn.mpis.net>
To: Debian Bug Tracking System <110586@bugs.debian.org>
Subject: libncurses5: Could this be done as an alternate libncurses5 package?
Date: Sun, 28 Oct 2001 05:32:20 -0500
Package: libncurses5
Version: 5.2.20010318-3

Any way we could have an alternate libncurses5 package for those that would
like GPM support? Leaving out GPM support reduces the functionality of
many packages which use the more portable mouse interfaces in ncurses
whenever those applications are used on the console.

In particular, the mouse won't work with lynx on the console.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux marian 2.4.5-ac13 #9 Fri Jul 20 21:12:07 EDT 2001 i586
Locale: LANG=C, LC_CTYPE=C

Versions of packages libncurses5 depends on:
ii  libc6                         2.2.4-3    GNU C Library: Shared libraries an




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #85 received at 110586@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Josh Rollyson <rollyson@dracus.dyn.mpis.net>, 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses5: Could this be done as an alternate libncurses5 package?
Date: Sun, 28 Oct 2001 11:51:13 -0500
On Sun, Oct 28, 2001 at 05:32:20AM -0500, Josh Rollyson wrote:
> Package: libncurses5
> Version: 5.2.20010318-3
> 
> Any way we could have an alternate libncurses5 package for those that would
> like GPM support? Leaving out GPM support reduces the functionality of
> many packages which use the more portable mouse interfaces in ncurses
> whenever those applications are used on the console.
> 
> In particular, the mouse won't work with lynx on the console.

I severely doubt it.  GPM support presumably changes the ABI of the
library.  Right, Thomas?

If so - do you think it would be possible to do it using dynamic
loading of the GPM code?  That shouldn't be terribly hard to do, and
reasonably robust.

-- 
Daniel Jacobowitz                           Carnegie Mellon University
MontaVista Software                         Debian GNU/Linux Developer



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #90 received at 110586@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Daniel Jacobowitz <dan@debian.org>, 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses5: Could this be done as an alternate libncurses5 package?
Date: Sun, 28 Oct 2001 13:19:19 -0500
On Sun, Oct 28, 2001 at 11:51:13AM -0500, Daniel Jacobowitz wrote:
> On Sun, Oct 28, 2001 at 05:32:20AM -0500, Josh Rollyson wrote:
> > Package: libncurses5
> > Version: 5.2.20010318-3
> > 
> > Any way we could have an alternate libncurses5 package for those that would
> > like GPM support? Leaving out GPM support reduces the functionality of
> > many packages which use the more portable mouse interfaces in ncurses
> > whenever those applications are used on the console.
> > 
> > In particular, the mouse won't work with lynx on the console.
> 
> I severely doubt it.  GPM support presumably changes the ABI of the
> library.  Right, Thomas?

I don't think so - it just changes the dependencies.  External interfaces
don't change (that's what I understand ABI to mean). otoh, the ncursesw
configuration is an ABI change, but is acceptable since it's renaming the
library as well.
 
> If so - do you think it would be possible to do it using dynamic
> loading of the GPM code?  That shouldn't be terribly hard to do, and
> reasonably robust.

that's possible - would require separating the GPM mouse code from the
rest of lib_mouse.c

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #95 received at 110586@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: Thomas Dickey <dickey@herndon4.his.com>
Cc: 110586@bugs.debian.org
Subject: Re: Bug#110586: libncurses5: Could this be done as an alternate libncurses5 package?
Date: Sun, 28 Oct 2001 13:31:09 -0500
On Sun, Oct 28, 2001 at 01:19:19PM -0500, Thomas Dickey wrote:
> On Sun, Oct 28, 2001 at 11:51:13AM -0500, Daniel Jacobowitz wrote:
> > On Sun, Oct 28, 2001 at 05:32:20AM -0500, Josh Rollyson wrote:
> > > Package: libncurses5
> > > Version: 5.2.20010318-3
> > > 
> > > Any way we could have an alternate libncurses5 package for those that would
> > > like GPM support? Leaving out GPM support reduces the functionality of
> > > many packages which use the more portable mouse interfaces in ncurses
> > > whenever those applications are used on the console.
> > > 
> > > In particular, the mouse won't work with lynx on the console.
> > 
> > I severely doubt it.  GPM support presumably changes the ABI of the
> > library.  Right, Thomas?
> 
> I don't think so - it just changes the dependencies.  External interfaces
> don't change (that's what I understand ABI to mean). otoh, the ncursesw
> configuration is an ABI change, but is acceptable since it's renaming the
> library as well.
>  
> > If so - do you think it would be possible to do it using dynamic
> > loading of the GPM code?  That shouldn't be terribly hard to do, and
> > reasonably robust.
> 
> that's possible - would require separating the GPM mouse code from the
> rest of lib_mouse.c

I'd prefer that as a solution rather than messing with alternatives
here (especially since updating alternatives might be non-atomic, and
bash wants ncurses...).  I'll look into it later today.

-- 
Daniel Jacobowitz                           Carnegie Mellon University
MontaVista Software                         Debian GNU/Linux Developer



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org:
Bug#110586; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to John <summer@computerdatasafe.com.au>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>, ncurses@packages.qa.debian.org. Full text and rfc822 format available.

Message #100 received at 110586@bugs.debian.org (full text, mbox):

From: John <summer@computerdatasafe.com.au>
To: 110586@bugs.debian.org
Subject: libncurses: compile with gpm support?
Date: Wed, 19 Feb 2003 11:09:54 +0800
I am another who wants to use the mouse with my curses software (as yet 
not written).





Message sent on to Tollef Fog Heen <tollef@add.no>:
Bug#110586. Full text and rfc822 format available.

Message #103 received at 110586-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 110586-submitter@bugs.debian.org
Subject: re: #110586 - libncurses: compile with gpm support?
Date: Sun, 10 Oct 2004 11:05:12 -0400
[Message part 1 (text/plain, inline)]
This is addressed in yesterday's update to ncurses:

20041009
	+ change GPM initialization, using dl library to load it dynamically
	  at runtime (Debian #110586).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tollef Fog Heen <tollef@add.no>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #108 received at 110586-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 110586-close@bugs.debian.org
Subject: Bug#110586: fixed in ncurses 5.4-5
Date: Sun, 12 Jun 2005 12:47:06 -0400
Source: ncurses
Source-Version: 5.4-5

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

libncurses5-dbg_5.4-5_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.4-5_i386.deb
libncurses5-dev_5.4-5_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.4-5_i386.deb
libncurses5_5.4-5_i386.deb
  to pool/main/n/ncurses/libncurses5_5.4-5_i386.deb
libncursesw5-dbg_5.4-5_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.4-5_i386.deb
libncursesw5-dev_5.4-5_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.4-5_i386.deb
libncursesw5_5.4-5_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.4-5_i386.deb
ncurses-base_5.4-5_all.deb
  to pool/main/n/ncurses/ncurses-base_5.4-5_all.deb
ncurses-bin_5.4-5_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.4-5_i386.deb
ncurses-term_5.4-5_all.deb
  to pool/main/n/ncurses/ncurses-term_5.4-5_all.deb
ncurses_5.4-5.diff.gz
  to pool/main/n/ncurses/ncurses_5.4-5.diff.gz
ncurses_5.4-5.dsc
  to pool/main/n/ncurses/ncurses_5.4-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 110586@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 12 Jun 2005 11:17:54 -0400
Source: ncurses
Binary: ncurses-base lib64ncurses5 libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term libncurses5-dbg lib64ncurses5-dev
Architecture: source i386 all
Version: 5.4-5
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 55637 110586 254316 257872 259253 265631 265784 273463 280687 283059 295083 301376 305704
Changes: 
 ncurses (5.4-5) unstable; urgency=low
 .
   * Use quilt to manage patches.
   * Update to upstream patch level 20050604.
     - Hurd build fix merged upstream.
     - Part of explicitly signed character patch merged upstream.
     - Corrected man page for mouseinterval (Closes: #280687).
     - Improved support for the zn_CH.GBK locale (Closes: #301376).
     - Improved terminfo entry for putty (Closes: #305704).
     - Explain the reference to ded(1) on the default_colors(3ncurses)
       man page (Closes: #295083).
     - Reset xterm mouse mode in various terminfo entries (Closes: #55637).
     - Check the size of the terminal after newterm() (Closes: #265631).
   * Updated xterm terminfo entry from xterm 200.  Combined with the
     upstream patch level, this (Closes: #254316).
   * Install the examples in libncurses5-dev again (Closes: #257872).
   * Remove use of test -a in ncurses-base and ncurses-term preinsts
     (Closes: #259253).
   * Enable gpm support (Closes: #110586).
   * Load libgpm.so.1 instead of libgpm.so.
   * Merge the Debian rxvt terminfo entry with upstream changes.
     - Upstream added cnorm to rxvt's reset string, so that the block cursor
       is restored if civis was used (Closes: #265784).
   * Fix the default bindings for F1-F4 in rxvt.
   * Use smkx instead of rmkx in rxvt's reset string, so that reset does
     not leave the keypad in the wrong state.
   * Move libncursesw.so.5 to /lib (Closes: #273463).
   * Added a patch from NIIBE Yutaka to support cross-compilation between
     two Debian systems (Closes: #283059).
   * Correct the section for the inwstr(3ncurses) man page.
   * Add myself to Uploaders.
   * Correct sections on the tack(1) man page.
   * Use symlinks instead of hardlinks for the terminfo database.
   * Remove a four-year-old workaround for an ia64 gcc bug.
   * Update shlibs file to (>= 5.4-5).
   * Configure using --disable-lp64 for compatibility on 64-bit architectures.
Files: 
 ed9623c2b270a187fa46c0b3cc04eb12 883 libs standard ncurses_5.4-5.dsc
 435ba55597cb03d7b09f97933d0be1dd 799336 libs standard ncurses_5.4-5.diff.gz
 5b37214b39694b3d0369c136f3cc893a 288672 base required libncurses5_5.4-5_i386.deb
 6d4bfb5f1ed426a74d7c6532213761ab 1247002 libdevel optional libncurses5-dev_5.4-5_i386.deb
 926a22295e7753f9f3c947d536ff5a56 5266072 libdevel extra libncurses5-dbg_5.4-5_i386.deb
 dd88ae6881a696c2391c78a11b05a675 304144 libs standard libncursesw5_5.4-5_i386.deb
 61b9db3fa98029e1c58e097b9f999876 416970 libdevel optional libncursesw5-dev_5.4-5_i386.deb
 123e8306059e277951db311ef3b00dfe 5800478 libdevel extra libncursesw5-dbg_5.4-5_i386.deb
 e4bd77cd68251ec9e0b8c71fad38b877 207632 base required ncurses-bin_5.4-5_i386.deb
 83464ad6d36b54aadb09d4061182fcc6 12170 base required ncurses-base_5.4-5_all.deb
 5d9a94886bc9d4268c50b088c62e20b8 277774 admin standard ncurses-term_5.4-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCrGOEbgOPXuCjg3cRAugAAJwNh4F07jmdbfRxOG4WGlUZL8pVQwCfQxhr
+9+y4ZMP3m44B/knpDOzB/c=
=mIcU
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:30:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.